#
# Conditional build:
%bcond_with	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	ExtUtils
%define		pnam	MakeMaker
Summary:	ExtUtils::MakeMaker - create a module Makefile
Summary(pl.UTF-8):	ExtUtils::MakeMaker - tworzenie Makefile dla modułu
Name:		perl-ExtUtils-MakeMaker
Version:	6.62
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/ExtUtils/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	2ae291030c52999b5672b2a502eab195
Patch0:		%{name}-write-permissions.patch
URL:		http://search.cpan.org/dist/ExtUtils-MakeMaker/
BuildRequires:	perl-ExtUtils-MakeMaker >= 6.50
BuildRequires:	perl(File::Spec) >= 0.80
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
# the following are needed to avoid installation of bundled modules
BuildRequires:	perl-CPAN-Meta >= 2.112150
BuildRequires:	perl-CPAN-Meta-YAML >= 0.003
BuildRequires:	perl-ExtUtils-Command >= 1.16
BuildRequires:	perl-ExtUtils-Install >= 1.52
BuildRequires:	perl-ExtUtils-Manifest >= 1.58
BuildRequires:	perl-File-Copy-Recursive >= 0.38
BuildRequires:	perl-File-Temp >= 0.22
BuildRequires:	perl-JSON-PP >= 2.27104
BuildRequires:	perl-Parse-CPAN-Meta >= 1.4401
BuildRequires:	perl-Scalar-List-Utils >= 1.23
BuildRequires:	perl-Version-Requirements >= 0.101020
BuildRequires:	perl-version >= 0.88
%if %{with tests}
BuildRequires:	perl-Test-Harness >= 2.00
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This utility is designed to write a Makefile for an extension module
from a Makefile.PL. It is based on the Makefile.SH model provided by
Andy Dougherty and the perl5-porters.

%description -l pl.UTF-8
To narzędzie zostało zaprojektowane, aby tworzyć pliki Makefile dla
modułu rozszerzenia z Makefile.PL. Jest oparte na modelu Makefile.SH
stworzonym przez Andy'ego Dougherty'ego i grupę perl5-porters.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p1

find inc -name '*.orig' | xargs -r %{__rm}

# perl >= 5.8 is assumed, so this module is useless
%{__rm} -r bundled/JSON-PP-Compat5006

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# get rid of pod docuemntation
%{__rm} $RPM_BUILD_ROOT%{perl_vendorlib}/ExtUtils/MakeMaker/*.pod

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes NOTES PATCHING README TODO
%attr(755,root,root) %{_bindir}/instmodsh
%{perl_vendorlib}/ExtUtils/Command
%{perl_vendorlib}/ExtUtils/Liblist.pm
%{perl_vendorlib}/ExtUtils/Liblist
%{perl_vendorlib}/ExtUtils/MM.pm
%{perl_vendorlib}/ExtUtils/MM_*.pm
%{perl_vendorlib}/ExtUtils/MY.pm
%{perl_vendorlib}/ExtUtils/MakeMaker.pm
%{perl_vendorlib}/ExtUtils/MakeMaker
%{perl_vendorlib}/ExtUtils/Mkbootstrap.pm
%{perl_vendorlib}/ExtUtils/Mksymlists.pm
%{perl_vendorlib}/ExtUtils/testlib.pm
%{_mandir}/man1/instmodsh.1p*
%{_mandir}/man3/ExtUtils::Command::*.3pm*
%{_mandir}/man3/ExtUtils::Liblist.3pm*
%{_mandir}/man3/ExtUtils::MM*.3pm*
%{_mandir}/man3/ExtUtils::MY.3pm*
%{_mandir}/man3/ExtUtils::MakeMaker*.3pm*
%{_mandir}/man3/ExtUtils::Mkbootstrap.3pm*
%{_mandir}/man3/ExtUtils::Mksymlists.3pm*
%{_mandir}/man3/ExtUtils::testlib.3pm*
%changelog
* Sat Jul 14 2012 Jan Rękorajski <baggins@pld-linux.org> b06c265
Disabled tests, they fail due to harmless warnings
Release 2

* Sat May 26 2012 Jakub Bogusz <qboosh@pld-linux.org> a3e7f63
- updated to 6.62
- ensure to use system modules instead of bundled

* Sun Mar 06 2011 Jakub Bogusz <qboosh@pld-linux.org> ee06aa5
- updated to 6.56

* Wed Sep 09 2009 amateja <amateja@pld-linux.org> 86af9ef
- updated to 6.54

* Mon Jun 22 2009 amateja <amateja@pld-linux.org> b2c7e40
- updated to 6.52

* Mon Mar 02 2009 radek <radek@pld-linux.org> a4dc538
- updated for 6.48

* Mon Mar 02 2009 radek <radek@pld-linux.org> 85754cd
- version 6.49_01

* Tue Mar 04 2008 Michał 'Wolvverine' Panasiewicz <wolvverine@pld-linux.org> bfe9201
- up to 6.44

* Mon Feb 11 2008 radek <radek@pld-linux.org> 555eb7d
- version 6.42

* Mon Feb 11 2008 radek <radek@pld-linux.org> 090bb05
- updated for 6.42

* Sun May 27 2007 Jakub Bogusz <qboosh@pld-linux.org> cb0ed81
- generic URL

* Tue May 08 2007 radek <radek@pld-linux.org> 0ce865f
- version 6.32

* Tue May 08 2007 radek <radek@pld-linux.org> ecb65a3
- updated for 6.32

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 3cc466b
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> daca7a0
- converted to UTF-8

* Mon Oct 30 2006 sparky <sparky@pld-linux.org> 6f7f9e5
- added write-permissions; rel 2

* Mon Oct 30 2006 sparky <sparky@pld-linux.org> 78e463e
- install with write permision for owner (useful for proper .so stripping)

* Sat Jun 04 2005 radek <radek@pld-linux.org> 19eae46
- version 6.30

* Sun Feb 20 2005 radek <radek@pld-linux.org> 76d96a0
- version 6.25_08

* Fri Dec 31 2004 radek <radek@pld-linux.org> 11eea4a
- version 6.25_07

